Net::DNS::RR::TXT(3)

NAME
Net::DNS::RR::TXT - DNS TXT resource record

SYNOPSIS
    use Net::DNS;
    $rr = new Net::DNS::RR( 'name TXT  txtdata ...' );

    $rr = new Net::DNS::RR( name    => 'name',
                            type    => 'TXT',
                            txtdata => 'single text string'
                            );

    $rr = new Net::DNS::RR( name    => 'name',
                            type    => 'TXT',
                            txtdata => [ 'multiple', 'strings', ... ]
                            );

    use utf8;
    $rr = new Net::DNS::RR( 'jp TXT    古池や　蛙飛込む　水の音' );

DESCRIPTION
Class for DNS Text (TXT) resource records.

METHODS
The available methods are those inherited from the base class augmented by the type-specific methods defined in this package.

Use of undocumented package features or direct access to internal data structures is discouraged and could result in program termination or other unpredictable behaviour.

  txtdata
    $string = $rr->txtdata;
    @list   = $rr->txtdata;

    $rr->txtdata( @list );

When invoked in scalar context, txtdata() returns the descriptive text as a single string, regardless of the number of elements.

In a list context, txtdata() returns a list of the text elements.

COPYRIGHT
Copyright (c)2011 Dick Franks.

All rights reserved.

This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

Package template (c)2009,2012 O.M.Kolkman and R.W.Franks.

SEE ALSO
perl, Net::DNS, Net::DNS::RR, RFC1035 Section 3.3.14, RFC3629